Bug 150678 - CAN-2005-0654 gimp GIF DoS
CAN-2005-0654 gimp GIF DoS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
impact=none,public=20050304,source=cv...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 11:13 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 05:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 169113 None None None Never

  None (edit)
Description Josh Bressers 2005-03-09 11:13:57 EST
+++ This bug was initially created as a clone of Bug #150677 +++

gifload in GIMP 2.0.5, 2.2.3, and possibly 2.2.4 allows remote attackers or
local users to cause a denial of service (application crash) via the image
descriptor (1) height or (2) width fields set to zero.

http://marc.theaimsgroup.com/?l=bugtraq&m=110995346018830&w=2
Comment 1 Josh Bressers 2005-03-09 11:15:04 EST
attachment 111813 [details] is a demo image to trigger this issue.


This issue should also affect FC2.
Comment 2 Nils Philippsen 2005-03-10 05:26:03 EST
I've backported the patch from gimp CVS HEAD and built a package for FC3 which
should hit the mirrors shortly. Since this doesn't seem to be a real security
problem (plug-in crashes in an assertion, not negatively affecting the main
application) I won't fix this for FC2 due to its short remaining lifetime.
Comment 3 Mark J. Cox (Product Security) 2005-03-21 07:07:00 EST
Crashing a client application on load of a malicious image is not a security
issue -- don't load the bad image.  (agreed don't fix for FC2)

Note You need to log in before you can comment on or make changes to this bug.